Subject: Re: [Gen-art] Request for comments regarding SEED-SRTP

From: Elwyn Davies <[email-masked]>
Date: Thu, 16 Apr 2009 23:42:56 +0100

Hi, Seokung.

For section 2.2, I *still* think it would be good to be totally explicit
as I said: Something like:
- At the sender: perform step 7 before step 5.
- At the receiver: perform the second half of step 5 (perform
verification) after step 6.
This means that authentication is performed on the cleartext rather than
the ciphertext.

Presumably this applies equally to SRTCP? You should say so if it is true.

It occurs to me (belatedly) that this reordering apparently increases
the processing that has to be done on packets before the authentication
is verified, providing a greater impact for a DoS attack that modifies
the encrypted payload. I think this should be noted in the security
considerations (assuming I am correct). Is this a significant problem
given encryption is mandatory on some packets?

The other problem was fixed.

Regards,
Elwyn

David McGrew wrote:
> Hi Seokung
>
> It looks like almost all of my comments were addressed. I did notice a
> couple things, though. The first is important, the second is very minor.
>
>>
>> There is no definition of how CCM and GCM are to be used to protect
>> RTCP. It would not be possible to use this specification to protect
>> RTCP packets with those algorithms. 
>
> The new draft says "In case of SRTCP, the Authentication Portion
> described in Fig.2 of [RFC3711] is treated as AAD." Is that true even
> if the E bit is equal zero? I suspect that what you want here is to
> have a definition such that, when E=0, the AAD format for SRTCP is
> specified differently. (Either that or a restriction to not use E=0.)
>
>>
>>
>> In Section 2, I don't understand the meaning of "and valuables" and I
>> suggest just removing the phrase.
>>
>
> I notice that the word is still there. Perhaps "variables" was the
> intended word?
>
> Apologies for the lag in my getting this review done.
>
> Best regards,
>
> David
>
>
> On Apr 2, 2009, at 6:14 AM, 윤석웅 wrote:
>
>> Dear David Mcgrew and Elwyn Davies.
>>
>>
>> Thanks for your lots of comments during AD last call.
>>
>> I really appreciated it.
>>
>>
>> Here is the revised draft to reflect whole your comments.
>>
>> Please check if thers is any problem or deficiency.
>>
>>
>> If you are OK, I will submit it to proceed next step.
>>
>>
>> BR,
>>
>> Seokung
>>
>> <draft-ietf-avt-seed-srtp-10(alpha).txt>
>

---

From: 윤석웅 <[email-masked]>
Date: Fri, 17 Apr 2009 21:17:08 +0900 (KST)

Dear Elwyn Davies

Thanks for your comments.

Here is my answer (<<) and send the revised draft.

Please check it again to finish this process, ^^

BR,

Seokung

----- 메일의 원문 -----

From: Elwyn Davies <[email-masked]>

Sent: Fri Apr 17 07:27:39 KST 2009

To: David McGrew <[email-masked]>

Cc: 윤석웅 <[email-masked]>, [email-masked], [email-masked], General Area Review Team <[email-masked]>

Subject: Re: Request for comments regarding SEED-SRTP

Hi, Seokung.

the ciphertext.

>> I reflected.

>> I reflected.

>> I already mentioned the security consideration to use GCM and CCM
like :    See [RFC3610] and [GCM] for security considerations
regarding the CCM

and GCM Modes of Operation, respectively.

Regards,

Elwyn